Bug 1001547 - User can not correlate between host ID and host IP/name
User can not correlate between host ID and host IP/name
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-novaclient (Show other bugs)
3.0
Unspecified Unspecified
low Severity low
: ---
: 4.0
Assigned To: Jakub Ruzicka
Ami Jeain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 05:15 EDT by Ofer Blaut
Modified: 2013-10-10 06:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-25 10:35:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CLI output (3.66 KB, text/plain)
2013-08-27 05:15 EDT, Ofer Blaut
no flags Details

  None (edit)
Description Ofer Blaut 2013-08-27 05:15:45 EDT
Created attachment 790856 [details]
CLI output

Description of problem:

Upon using nova show < VM > user get UUID of the host, but there is no why to correlate hosts UUIDs to host names


As Admin i can filter which VMs are running on specific host.
We need to add host UUID in nova host-list & nova list --host <host name > / UUID 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.nova show <VM > look for hostId
2.nova host-list ( doesn't contain host ID info ) 
3.nova list --host <host name > - works with names and not UUIDs

Actual results:


Expected results:


Additional info:
Comment 3 Jakub Ruzicka 2013-09-25 10:35:55 EDT
This is an upstream Wishlist bug, not a RHOS one.

Ofer, please fill this upstream.
Comment 4 Ofer Blaut 2013-10-10 06:00:53 EDT
No need to feel upstream 
 
From tenant level you can't see host name only UUID

From Admin tenant level you see both host name & UUID

 nova list --all-tenants 1 , grep the one and later 

nova show <VM UUID>

Note You need to log in before you can comment on or make changes to this bug.